<?xml version="1.0" encoding="UTF-8"?>
<queryMap desc="质量设计 工序 ">
        <query id="IOperationDao.getOperation" desc="查询工序">
         <![CDATA[
      SELECT INDEX_SEQ,
       MSC,
       MSC_PLINE,
       BACKLOG_SEQ,
       PROCESS_CODE,
       PROCESS_DESC,
       MINUTE_PRODUCT,
       MINUTE_WAITE,
       CREATE_NAME,
       CREATE_TIME,
       UPDATE_NAME,
       UPDATE_TIME,
       DELETE_NAME,
       DELETE_TIME,
       VALIDFLAG,
       MEMO,
       PROCESS_SEQ,
       CIC,
       PIC,
       SIC,
       DIC,
       WIC,
       PROCESS_CODE_C,
       PROCESS_DESC_C,
       GIC,
       MEMO,
       MSC_PLINE_OLD,
       MINUTE_PRODUCT_OUT,
       MINUTE_WAITE_OUT,
       BATCH_WAITE,
       BATCH_WAITE_OUT
  FROM COM_MSC_PROCESS T
 WHERE T.MSC = ?
   AND T.MSC_PLINE = ?
   AND T.PROCESS_CODE = ?
   AND T.VALIDFLAG = '1'
             ]]>
          </query>   
          
          <query id="IOperationDao.BaseProcessCIsValid" desc="是否是有效的二级工序">
         <![CDATA[
SELECT 1 FROM COM_BASE_PROCESS_C T WHERE T.PROCESS_CDOE_C = ? AND T.VALIDFLAG = '1'
             ]]>
          </query>  
          
          <query id="IOperationDao.saveOperation" desc="保存工序">
         <![CDATA[
       INSERT INTO SLM_ORD_DESIGN_MSC_PL_PRC(
        DESGIN_KEY,
        MSC_PLINE,
        WHOLE_BACKLOG,
        WHOLE_BACKLOG_DESC,
        BACKLOG_SEQ,
        PROCESS_CODE,
        PROCESS_DESC,
        PROCESS_SEQ,
        PROCESS_CODE_C,
        PROCESS_DESC_C,
        MINUTE_PRODUCT,
        MINUTE_WAITE,
        CIC,
        PIC,
        SIC,
        DIC,
        WIC,
        MEMO)
 VALUES( 
        '#DESGIN_KEY#',
        '#MSC_PLINE#',
        '#WHOLE_BACKLOG#',
        '#WHOLE_BACKLOG_DESC#',
        '#BACKLOG_SEQ#',
        '#PROCESS_CODE#',
        '#PROCESS_DESC#',
        '#PROCESS_SEQ#',
        '#PROCESS_CODE_C#',
        '#PROCESS_DESC_C#',
        '#MINUTE_PRODUCT#',
        '#MINUTE_WAITE#',
        '#CIC#',
        '#PIC#',
        '#SIC#',
        '#DIC#',
        '#WIC#',
        '#MEMO#')
             ]]>
         </query>  
         
         <query id="IOperationDao.isExistEMeterialCode" desc="是否存在镦拔扩字母">
         <![CDATA[
SELECT T.E_MATERIAL_CODE VALUE FROM COM_BASE_MODEL T WHERE T.MODEL_CODE = {0}
             ]]>
          </query>
</queryMap>